> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Redirect

` GET /blockscout/search/check-redirect `

Search Redirect

## Servers

- ` https://data-api.b3.fun/ ` — B3 Data API - Multi-Chain Proxy

## Parameters

### ` q ` (query, optional)

- ` value `: type ` string `

  - example: ` "USDT" `

Example:

```json
"USDT"
```

## Responses

### ` 200 ` — Search Response

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` parameter `, ` redirect `, ` type `

  - ` parameter `: type ` string `

    - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

  - ` redirect `: type ` boolean `

  - ` type `: type ` string `

    - example: ` "address | block | transaction" `

### ` 400 ` — Bad Input Parameter

## Request examples

### cURL

```curl
curl -X GET 'https://data-api.b3.fun//blockscout/search/check-redirect'
```

### JavaScript

```javascript
const response = await fetch('https://data-api.b3.fun//blockscout/search/check-redirect', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.get('https://data-api.b3.fun//blockscout/search/check-redirect')
print(response.json())
```